Improve this doc View source

# `pfAboutModal`
directive in module `patternfly.modals`

## Description

Directive for rendering modal windows.

## Usage

as attribute

    <ANY pf-about-modal
         [additional-info="{string}"]
         [copyright="{string}"]
         [img-alt="{string}"]
         [img-src="{string}"]
         [is-open="{boolean}"]
         [on-close="{function}"]
         [product-info="{object}"]
         [title="{string}"]>
       ...
    </ANY>

#### Parameters

Param | Type | Details
--- | --- | ---
additionalInfo (optional) | string | Text explaining the version or copyright
copyright (optional) | string | Product copyright information
imgAlt (optional) | string | The alt text for the corner grahpic
imgSrc (optional) | string | The source for the corner grahpic
isOpen (optional) | boolean | Flag indicating that the modal should be opened
onClose (optional) | function | Function to call when modal is closed

productInfo
(optional)

object

data for the modal:

- .product - the product label
- .version - the product version

title (optional) | string | The product title for the modal

## Example

#### Source

#### Demo